SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
SLNet::RemoteClient Struct Reference

Stores information about a remote client. More...

`#include <slikenet/TCPInterface.h>`

## Public Member Functions

| RemoteClient ()
int | Send (const char *data, unsigned int length)
int | Recv (char *data, const int dataSize)
void | Reset (void)
void | SetActive (bool a)
void | SendOrBuffer (const char **data, const unsigned int *lengths, const int numParameters)

## Public Attributes

__TCPSOCKET__ | socket
SystemAddress | systemAddress
DataStructures::ByteQueue | outgoingData
bool | isActive
SimpleMutex | outgoingDataMutex
SimpleMutex | isActiveMutex

## Detailed Description

Stores information about a remote client.

Definition at line 224 of file TCPInterface.h.

## Constructor & Destructor Documentation

SLNet::RemoteClient::RemoteClient | ( |  | ) |

inline

Definition at line 226 of file TCPInterface.h.

References isActive, and socket.

## Member Function Documentation

int SLNet::RemoteClient::Recv | ( | char * | data,
|  | const int | dataSize
| ) |  |

void SLNet::RemoteClient::Reset | ( | void |  | ) |

inline

Definition at line 253 of file TCPInterface.h.

References _FILE_AND_LINE_, DataStructures::ByteQueue::Clear(), SLNet::SimpleMutex::Lock(), outgoingData, outgoingDataMutex, and SLNet::SimpleMutex::Unlock().

int SLNet::RemoteClient::Send | ( | const char * | data,
|  | unsigned int | length
| ) |  |

void SLNet::RemoteClient::SendOrBuffer | ( | const char ** | data,
|  | const unsigned int * | lengths,
|  | const int | numParameters
| ) |  |

void SLNet::RemoteClient::SetActive | ( | bool | a | ) |

## Member Data Documentation

bool SLNet::RemoteClient::isActive

Definition at line 238 of file TCPInterface.h.

Referenced by RemoteClient().

SimpleMutex SLNet::RemoteClient::isActiveMutex

Definition at line 240 of file TCPInterface.h.

DataStructures::ByteQueue SLNet::RemoteClient::outgoingData

Definition at line 237 of file TCPInterface.h.

Referenced by Reset().

SimpleMutex SLNet::RemoteClient::outgoingDataMutex

Definition at line 239 of file TCPInterface.h.

Referenced by Reset().

__TCPSOCKET__ SLNet::RemoteClient::socket

Definition at line 235 of file TCPInterface.h.

Referenced by RemoteClient().

SystemAddress SLNet::RemoteClient::systemAddress

Definition at line 236 of file TCPInterface.h.

The documentation for this struct was generated from the following file:

- Source/include/slikenet/TCPInterface.h